/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* libcdr
 * Version: MPL 1.1 / GPLv2+ / LGPLv2+
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License or as specified alternatively below. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * Major Contributor(s):
 * Copyright (C) 2012 Fridrich Strba <fridrich.strba@bluewin.ch>
 *
 * All Rights Reserved.
 *
 * For minor contributions see the git repository.
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPLv2+"), or
 * the GNU Lesser General Public License Version 2 or later (the "LGPLv2+"),
 * in which case the provisions of the GPLv2+ or the LGPLv2+ are applicable
 * instead of those above.
 */

#ifndef __CDRDOCUMENTSTRUCTURE_H__
#define __CDRDOCUMENTSTRUCTURE_H__

#define FOURCC_arrt 0x74727261
#define FOURCC_arrw 0x77727261
#define FOURCC_arrx 0x78727261

#define FOURCC_bbox 0x786f6262
#define FOURCC_bcfg 0x67666362
#define FOURCC_bmkt 0x746b6d62
#define FOURCC_bmp  0x20706d62
#define FOURCC_bmpf 0x66706d62
#define FOURCC_bmpt 0x74706d62
#define FOURCC_bmpx 0x78706d62
#define FOURCC_bmrk 0x6b726d62
#define FOURCC_bpft 0x74667062

#define FOURCC_CDR 0x524443
#define FOURCC_cdr 0x726463
#define FOURCC_clo  0x206f6c63
#define FOURCC_cloa 0x616f6c63
#define FOURCC_clof 0x666f6c63
#define FOURCC_clol 0x6c6f6c63
#define FOURCC_cloo 0x6f6f6c63
#define FOURCC_cmpr 0x72706d63
#define FOURCC_cont 0x746e6f63
#define FOURCC_CPng 0x676e5043

#define FOURCC_digk 0x6b676964
#define FOURCC_DISP 0x50534944
#define FOURCC_doc  0x20636f64

#define FOURCC_envd 0x64766e65

#define FOURCC_filc 0x636c6966
#define FOURCC_fild 0x646c6966
#define FOURCC_fill 0x6c6c6966
#define FOURCC_filt 0x746c6966
#define FOURCC_flgs 0x73676c66
#define FOURCC_fntt 0x74746e66
#define FOURCC_font 0x746e6f66
#define FOURCC_ftil 0x6c697466
#define FOURCC_fver 0x72657666

#define FOURCC_gobj 0x6a626f67
#define FOURCC_grp  0x20707267
#define FOURCC_guid 0x64697567

#define FOURCC_iccd 0x64636369
#define FOURCC_iccp 0x70636369
#define FOURCC_ICMT 0x544d4349
#define FOURCC_IKEY 0x59454b49
#define FOURCC_INFO 0x4f464e49

#define FOURCC_layr 0x7279616c
#define FOURCC_lgob 0x626f676c
#define FOURCC_LIST 0x5453494c
#define FOURCC_lnkg 0x676b6e6c
#define FOURCC_lnkt 0x746b6e6c
#define FOURCC_loda 0x61646f6c
#define FOURCC_lobj 0x6a626f6c

#define FOURCC_mcfg 0x6766636d

#define FOURCC_npps 0x7370706e

#define FOURCC_obbx 0x7862626f
#define FOURCC_obj  0x206a626f
#define FOURCC_osfp 0x7066736f
#define FOURCC_otlt 0x746c746f
#define FOURCC_outl 0x6c74756f

#define FOURCC_page 0x65676170
#define FOURCC_pfrd 0x64726670
#define FOURCC_ppdt 0x74647070
#define FOURCC_ppid 0x64697070
#define FOURCC_pref 0x66657270
#define FOURCC_ptrt 0x74727470

#define FOURCC_RIFF 0x46464952
#define FOURCC_rvsn 0x6e737672

#define FOURCC_spnd 0x646e7073
#define FOURCC_stlt 0x746c7473
#define FOURCC_sumi 0x696d7573
#define FOURCC_summ 0x6d6d7573

#define FOURCC_trfd 0x64667274
#define FOURCC_trfl 0x6c667274
#define FOURCC_ttil 0x6c697474
#define FOURCC_txsm 0x6d737874
#define FOURCC_txtj 0x6a747874

#define FOURCC_uidr 0x72646975
#define FOURCC_uil  0x206c6975
#define FOURCC_url  0x206c7275
#define FOURCC_urll 0x6c6c7275
#define FOURCC_urls 0x736c7275
#define FOURCC_usdn 0x6e647375
#define FOURCC_user 0x72657375
#define FOURCC_usft 0x74667375

#define FOURCC_vect 0x74636576
#define FOURCC_vpat 0x74617076
#define FOURCC_vrsn 0x6e737276

#endif // __CDRDOCUMENTSTRUCTURE_H__
/* vim:set shiftwidth=2 softtabstop=2 expandtab: */
